1. Wenn du hier im Forum ein neues Thema erstellst, sind schon Punkte aufgeführt die du ausfüllen musst. Das dient im Allgemeinen dazu die notwendigen Informationen direkt mit der Frage bereitzustellen.
    Da in letzter Zeit immer wieder gerne das Formular gelöscht wurde und erst nach 3 Seiten Nachfragen die benötigten Infos für eine Hilfe kommen, werde ich nun jede Fragestellung die nicht einmal annähernd das Formular benutzt, sofort in den Sondermüll schicken.
    Füllt einfach die abgefragte Daten aus und alle können euch viel schneller helfen.
    Information ausblenden

XF2.1 Error Logs: autoloader.php

Dieses Thema im Forum "Fehler, Fragen und Antworten" wurde erstellt von hohleweg, 10. Juni 2019.

  1. hohleweg

    hohleweg Aktives Mitglied Lizenzinhaber

    Hallo

    ..weiter gehts mal mit dem Aufräumen der Fehler:
    in der errorlog habe ich sehr viele von diesen hier:

    Code (Text):
    PHP Fatal error:  require(): Failed opening required '/home/www/xxx/xxxxx/buggy-forum.de/www/library/XenForo/Autoloader.php' (include_path='.:/usr/local/php-5.6/lib/php') in /home/www/xxx/xxxxx/buggy-forum.de/www/showthread.php on line 11
    auf .com gabs, bisher, noch keine Hilfe.

    ...was anderes wie sieht den eure errorlog aus?? sauber?

    Gruß Joachim
     
  2. McAtze

    McAtze Innendienst Lizenzinhaber

    Hast du denn die showthread.php im Forumroot liegen? Die ist doch eigentlich eher von vBulletin und nicht XenForo.

    Außerdem brauchen wir den kompletten Error Log aus dem AdminCP.

    BTW..
    Screenshot 2019-06-10 19.17.31.png
     
  3. Masetrix

    Masetrix Aktives Mitglied Lizenzinhaber

    Welches XenForo nutzt du denn wenn du noch auf PHP 5.6 rumdaddelst? ;)

    Ich war die letzten Wochen am aufräumen...
     
  4. hohleweg

    hohleweg Aktives Mitglied Lizenzinhaber

    ..hatte auch ne Info bekommen vom Hoster alles unter 7 wird abgeschaltet,
    da muß ich mich mal nun um die php kümmern
    ich gebe dann Info
     
  5. hohleweg

    hohleweg Aktives Mitglied Lizenzinhaber

    ..so der Hoster sagt:

    wo sollte die .htaccess liegen
    ich habe, warum auch immer, mehrere

    im "ober" root also ÜBER der /forum root
    library
    install/trmplates
    install/data
    scr


    in keiner habe ich aber den Hinweis auf 5.6 gefunden? *hmmm

    Gruß Jo
     
  6. McAtze

    McAtze Innendienst Lizenzinhaber

    Wie dein Hoster schon sagte, im Root. Wo hostest du denn?
     
  7. nocte

    nocte Mitglied Lizenzinhaber

    Am besten im Installationsverzeichnis von XF2 - dort müsste schon eine .htaccess sein; diese nicht überschreiben sondern um diese Zeile ergänzen.
     
    Masetrix gefällt das.
  8. Masetrix

    Masetrix Aktives Mitglied Lizenzinhaber

  9. hohleweg

    hohleweg Aktives Mitglied Lizenzinhaber

    ..noch kurz wie ich auf 7.3 geupdatet habe.

    einfach im DCP folgendes:
    Zwischenablage02.jpg

    im obersten root die 7.3 php ini abgelegt und alles läuft.
    Gruß Joachim
     
  10. Masetrix

    Masetrix Aktives Mitglied Lizenzinhaber

    Hättest du den Hoster gleich genannt hätte ich dir dahingehend gleich helfen können. Bei AF hatten wir auch einige Domains gehostet bis wir dann alles auf einem eigenen Server zentriert haben.

    Was aber ist jetzt mit deinem eigentlichen Problem?
     
  11. hohleweg

    hohleweg Aktives Mitglied Lizenzinhaber

    Hi
    das eigenliche Problem war wohl der Aufruf der Autoloader.php mit php 5.6

    nun aktuell mit php. 7.3 ist diese Fehlermeldung NICHT mehr im Errorlog
    da geht es aber die Tage weiter mit dem Aufräumen.

    noch zu Artefiles: klasse Hoster auch die haben mir geholfen!

    Gruß Joachim
     
    Zuletzt bearbeitet: 21. Juni 2019 um 19:11 Uhr
  12. hohleweg

    hohleweg Aktives Mitglied Lizenzinhaber

    ABER:

    ist in der php.ini die Zeile AKTIV:
    Code (Text):
    extension_dir = "/usr/local/php-7.3/lib/php/extensions/"
    läuft ein Testforum unter 1,5.24 NICHT

    ist die Zeile "rauskommentiert" bekomme ich wieder den autoloader.php Fehler
    aber das 1.5.24 Forum läuft

    was wird da erwartet in welchem Ordner?
    *hmmm

    Gruß Jo
     
  13. otto

    otto Bekanntes Mitglied Lizenzinhaber

    Blöde Frage - warum 7.3.x und nicht 7.2.x ?

    Ich meine welche Vorteile bietet 7.3.x ggü. 7.2.x bezüglich Xenforo?

    Ich hab meine Foren alle auf 7.2.x laufen und keine Probleme bis auf 2-3 veraltete Addons wo ich mal Hand anlegen musste.
     
  14. Tealk

    Tealk Bekanntes Mitglied Lizenzinhaber

    Es ist performanter.
     
  15. mph

    mph Aktives Mitglied Lizenzinhaber

    Ich habe auch den Eindruck, PHP 7.3.x ist etwas schneller als 7.2.x.
     
    McAtze gefällt das.
  16. Tealk

    Tealk Bekanntes Mitglied Lizenzinhaber

    Dann hast du ein gutes Auge ;) sind in etwa so 0,03 ms laut benchmark
     
    otto und McAtze gefällt das.
  17. hohleweg

    hohleweg Aktives Mitglied Lizenzinhaber

    ..ja wenn ich schon update dann auf die neue Version und die läuft ja

    zum Autoloader.php Problem ich habe eine leere showthread.php hochgelagen nun ist der autolaoder.phph Fehler weg :)
     
  18. otto

    otto Bekanntes Mitglied Lizenzinhaber

    Neu ist nicht immer gleich "besser in allen belangen" - auch Software muss reifen. Und wegen solch marginaler Geschwindigkeitsunterschiede (wenn man in dem Fall überhaupt von reden sollte) tät ich den Weg des geringsten Widerstandes wählen und mir nicht tagelange Fehlersuche antun - ohne Not offensichtlich wohl bemerkt. ;)
     
  19. otto

    otto Bekanntes Mitglied Lizenzinhaber

    Hast du zwei frisch aufgesetzte Systeme verglichen oder ein gelaufenes mit einem frisch aufgesetzten? Desweiteren wäre zu klären in wie weit das System jeweils wirklich optimal eingestellt war.

    Aber sei es drum - selbst wegen 0.1 Sekunde wäre es mir den Stress nicht wert. ;)
     
  20. mph

    mph Aktives Mitglied Lizenzinhaber

    Ich habe mein Forum mit der letzten PHP 7.2 laufen gehabt und auf PHP 7.3 umgestellt. Die Ladezeit hat sich minimal bei einer Messung verbessert. Danach habe ich dann noch andere Dinge gemacht, um die Performance etwas zu verbessern.
     
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden